﻿Imports System.Xml

Public Class Form1
    Private Ds As New DataSet1
    Private Doc As New XmlDocument

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        CreaDataset()
        CreaFileXML()
        CaricaFileXML()
    End Sub
    Private Sub CreaDataset()
        Dim tip As DataSet1.TipologieRow = Ds.Tipologie.NewRow
        tip.Id = 1
        tip.Tipologia = "Ristrutturazione"
        Ds.Tipologie.AddTipologieRow(tip)

        tip = Ds.Tipologie.NewRow
        tip.Id = 2
        tip.Tipologia = "Tinteggiatura"
        Ds.Tipologie.AddTipologieRow(tip)

        Dim cat As DataSet1.CategorieRow = Ds.Categorie.NewRow
        cat.Id = 1
        cat.Categoria = "Facciata"
        cat.IdTipologia = 1
        Ds.Categorie.AddCategorieRow(cat)

        cat = Ds.Categorie.NewRow
        cat.Id = 2
        cat.Categoria = "Balconi"
        cat.IdTipologia = 1
        Ds.Categorie.AddCategorieRow(cat)

        cat = Ds.Categorie.NewRow
        cat.Id = 3
        cat.Categoria = "Bagni"
        cat.IdTipologia = 1
        Ds.Categorie.AddCategorieRow(cat)
    End Sub
    Private Sub CreaFileXML()
        Dim doc As New XmlDocument()
        doc.LoadXml("<Servizi></Servizi>")
        Dim elmTipologie As XmlElement = doc.CreateElement("Tipologie")
        For Each tip As DataSet1.TipologieRow In Ds.Tipologie
            Dim temp As DataSet1.TipologieRow = tip
            Dim elmTipologia As XmlElement = doc.CreateElement("Descrizione")
            Dim text As XmlText = doc.CreateTextNode(tip.Tipologia)
            elmTipologia.AppendChild(text)
            elmTipologie.AppendChild(elmTipologia)
            Dim elmCategorie As XmlElement = doc.CreateElement("Categorie")
            elmTipologie.AppendChild(elmCategorie)
            Dim Result = From cat As DataSet1.CategorieRow In Ds.Categorie _
                             Where cat.IdTipologia = temp.Id
            For Each rst As DataSet1.CategorieRow In Result
                Dim elmCategoria = doc.CreateElement("Descrizione_Categoria")
                elmCategorie.AppendChild(elmCategoria)
                text = doc.CreateTextNode(rst.Categoria)
                elmCategoria.AppendChild(text)
            Next
        Next
        doc.DocumentElement.AppendChild(elmTipologie)
        doc.Save(Application.StartupPath & "/Prova.xml")
    End Sub
    Private Sub CaricaFileXML()
        RichTextBox1.Text = IO.File.ReadAllText(Application.StartupPath & "/Prova.xml")
    End Sub
End Class
